Apache Cassandra

From DreamFactory
Jump to: navigation, search
Line 1: Line 1:
 
This  allows you to use CassandraDB databases.
 
This  allows you to use CassandraDB databases.
* The version of php-mongodb in the APT repositories is no longer high enough to satisfy the requirements of the mongodb repos used. Please install using PECL.
+
 
 
# Make sure you have all the required packages
 
# Make sure you have all the required packages
 
#* <source lang="bash">$ sudo apt-get install php-dev php-pear libgmp-dev libpcre3-dev g++ make cmake libssl-dev openssl</source>
 
#* <source lang="bash">$ sudo apt-get install php-dev php-pear libgmp-dev libpcre3-dev g++ make cmake libssl-dev openssl</source>

Revision as of 19:36, 14 June 2017

This allows you to use CassandraDB databases.

  1. Make sure you have all the required packages
    • $ sudo apt-get install php-dev php-pear libgmp-dev libpcre3-dev g++ make cmake libssl-dev openssl
  2. Download Datastax C++ Driver
    • wget http://downloads.datastax.com/cpp-driver/ubuntu/16.04/dependencies/libuv/v1.11.0/libuv_1.11.0-1_amd64.deb
    • wget http://downloads.datastax.com/cpp-driver/ubuntu/16.04/dependencies/libuv/v1.11.0/libuv-dev_1.11.0-1_amd64.deb
    • wget http://downloads.datastax.com/cpp-driver/ubuntu/16.04/cassandra/v2.6.0/cassandra-cpp-driver_2.6.0-1_amd64.deb
    • wget http://downloads.datastax.com/cpp-driver/ubuntu/16.04/cassandra/v2.6.0/cassandra-cpp-driver-dev_2.6.0-1_amd64.deb
  3. Install the Datastax C++ Driver
    • sudo dpkg -i libuv_1.11.0-1_amd64.deb
    • sudo dpkg -i libuv-dev_1.11.0-1_amd64.deb
    • sudo dpkg -i cassandra-cpp-driver_2.6.0-1_amd64.deb
    • sudo dpkg -i cassandra-cpp-driver-dev_2.6.0-1_amd64.deb
  4. Install from PECL
    • $ sudo pecl install cassandra
  5. Create the ini file
    • $ sudo sh -c 'echo "extension=cassandra.so" > /etc/php/7.0/mods-available/cassandra.ini'
  6. Enable the extension
    • $ sudo phpenmod cassandra
  7. Restart your webserver app and/or php-fpm